## python-tablib 0.12.1

=== requirements.txt ===
certifi==2017.7.27.1
chardet==3.0.4
et-xmlfile==1.0.1
idna==2.6
jdcal==1.3
numpy==1.13.1
odfpy==1.3.5
openpyxl==2.4.8
pandas==0.20.3
pkginfo==1.4.1
python-dateutil==2.6.1
pytz==2017.2
PyYAML==3.12
requests==2.18.4
requests-toolbelt==0.8.0
six==1.10.0
tqdm==4.15.0
unicodecsv==0.14.1
urllib3==1.22
xlrd==1.1.0
xlwt==1.3.0

## python-tablib 0.9.11

=== debian/changelog ===
python-tablib (0.9.11-3) unstable; urgency=low

  * Ran wrap-and-sort -bast.
  * CVE-2017-2810: apply upstream patch: use safe load (Closes: #864818).

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 May 2013 15:45:33 +0800

python-tablib (0.9.11-2) unstable; urgency=low

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 12 May 2013 12:20:36 +0000

python-tablib (0.9.11-1) experimental; urgency=low

  * Initial release (Closes: #699592).

 -- Thomas Goirand <zigo@debian.org>  Sat, 02 Feb 2013 13:50:24 +0800

=== debian/control ===
Source: python-tablib
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Loic Dachary (OuoU) <loic@debian.org>,
 Julien Danjou <acid@debian.org>,
 Thomas Goirand <zigo@debian.org>,
 Ghe Rivero <ghe.rivero@stackops.com>,
 Mehdi Abaakouk <sileht@sileht.net>,
Build-Depends:
 debhelper (>= 9),
 openstack-pkg-tools,
 python-all (>= 2.6.6-3~),
 python-setuptools,
Standards-Version: 3.9.4
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-tablib.git
Vcs-Git: git://anonscm.debian.org/openstack/python-tablib.git
Homepage: http://docs.python-tablib.org/en/latest/index.html

Package: python-tablib
Architecture: all
Pre-Depends:
 dpkg (>= 1.15.6~),
Depends:
 ${misc:Depends},
 ${python:Depends},
Description: format agnostic tabular dataset library
 Tablib is a format agnostic tabular dataset library, written in Python. It
 allows you to import, export, and manipulate tabular data sets. Advanced
 features include, segregation, dynamic columns, tags & filtering, and seamless
 format import & export.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

UPSTREAM_GIT = git://github.com/kennethreitz/tablib.git

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --with python2 

override_dh_installchangelogs:
	dh_installchangelogs HISTORY.rst

## python-tablib 0.12.1

=== debian/changelog ===
python-tablib (0.12.1-2) unstable; urgency=medium

  * Update the maintainer email to my new debian one.
  * Use the new debhelper-compat(=11) notation and drop d/compat.
  * Bump standards to 4.2.1.
  * Add a d/upstream/meatadata file for dep-12 compatibility.

 -- Joseph Herlant <aerostitch@debian.org>  Sat, 15 Dec 2018 18:20:40 -0800

python-tablib (0.12.1-1) unstable; urgency=low

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/control: Add trailing tilde to min version depend to allow
    backports

  [ Joseph Herlant ]
  * Initial upstream branch.
  * New upstream version 0.12.1
  * d/compat, d/control: upgrade standards to 4.1.4 and compat to 11
  * Wrap-n-sort
  * d/control: the project is moving under the python team (Closes: #865855)
  * d/control: cleanup dependencies already defined via ${python:Depends}
  * d/rules: disable test overwrite
  * d/copyright: global-files-wildcard-not-first-paragraph-in-dep5-copyright
  * d/control, d/rules: remove unused dependency and cleanup
  * d/control: pandas is required now for 1 test
  * d/control: add xlwt for python3 too
  * d/control: add automatic test suite flag
  * d/rules: fix naming of the package for pybuild
  * d/rules: remove python2-specific vendored package for python3
  * d/copyright: update copyrighted files and dates
  * Add extra autopkgtests

 -- Joseph Herlant <herlantj@gmail.com>  Mon, 30 Apr 2018 22:50:05 -0700

python-tablib (0.11.5+dfsg1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URLs (https).
  * d/rules: Changed UPSTREAM_GIT protocol to https

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Updating maintainer field.
  * Running wrap-and-sort -bast.
  * Updating standards version to 4.0.0.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Updating standards version to 4.0.1.
  * Updating standards version to 4.1.0.

  [ Thomas Goirand ]
  * New upstream release (Closes: #864818).
  * debian/rules: Using pkgos-dh_auto_install and removed things defined in
    openstack-pkg-tools.
  * Testing with all versions of Python 3.
  * Add python-xlwt as (build-)depends.

 -- Thomas Goirand <zigo@debian.org>  Tue, 24 Oct 2017 15:35:58 +0200

python-tablib (0.10.0+dfsg2-1) experimental; urgency=low

  * New upstream release.
  * Ran wrap-and-sort.
  * Added Python 3 support.
  * Removed lots of embedded Python modules.
  * Do not use upstream clean.

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 May 2013 15:45:33 +0800

=== debian/control ===
Source: python-tablib
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
           Joseph Herlant <aerostitch@debian.org>
Build-Depends: debhelper-compat (= 11),
               dh-python,
               python-all,
               python-setuptools,
               python3-all,
               python3-setuptools
Build-Depends-Indep: python-odf,
                     python-openpyxl,
                     python-pandas,
                     python-pytest,
                     python-unicodecsv,
                     python-xlrd,
                     python-xlwt,
                     python-yaml,
                     python3-odf,
                     python3-openpyxl,
                     python3-pandas,
                     python3-pytest,
                     python3-unicodecsv,
                     python3-xlrd,
                     python3-xlwt,
                     python3-yaml
Standards-Version: 4.2.1
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-tablib
Vcs-Git: https://salsa.debian.org/python-team/modules/python-tablib.git
Homepage: http://docs.python-tablib.org/en/latest/index.html

Package: python-tablib
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Description: format agnostic tabular dataset library - Python 2.7
 Tablib is a format agnostic tabular dataset library, written in Python. It
 allows you to import, export, and manipulate tabular data sets. Advanced
 features include, segregation, dynamic columns, tags & filtering, and seamless
 format import & export.
 .
 This package provides the Python 2.7 module.

Package: python3-tablib
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: format agnostic tabular dataset library - Python 3.x
 Tablib is a format agnostic tabular dataset library, written in Python. It
 allows you to import, export, and manipulate tabular data sets. Advanced
 features include, segregation, dynamic columns, tags & filtering, and seamless
 format import & export.
 .
 This package provides the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=tablib
export PYBUILD_AFTER_INSTALL=rm -rf {destdir}/usr/lib/python3*/dist-packages/tablib/packages/dbfpy

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_installchangelogs:
	dh_installchangelogs HISTORY.rst

override_dh_auto_test:
	dh_auto_test -- --system=custom --test-args="{interpreter} -m pytest test_tablib.py"

=== debian/tests/control ===
Test-Command: python -m pytest test_tablib.py
Depends: @, @builddeps@

Test-Command: python3 -m pytest test_tablib.py
Depends: @, @builddeps@

Test-Command: python debian/tests/basic_usage.py
Depends: @

Test-Command: python3 debian/tests/basic_usage.py
Depends: @

## python-tablib 0.13.0

=== Makefile ===
test:
	python test_tablib.py
publish:
	python setup.py register
	python setup.py sdist upload
	python setup.py bdist_wheel --universal upload

=== requirements.txt ===
--- 
+++ 
@@ -1,3 +1,4 @@
+backports.csv==1.0.6
 certifi==2017.7.27.1
 chardet==3.0.4
 et-xmlfile==1.0.1

=== debian/changelog ===
python-tablib (0.13.0-1) unstable; urgency=medium

  * New upstream version 0.13.0
  * Integrating Ubuntu patch for fixing new default_flow_style (Closes: #934271)
  * d/control:
    * Bump standards to 4.4.0.1
    * Bump debhelper-compat to 12
    * wrap-and-sort
  * d/copyright: remove copyright for missing file

 -- Joseph Herlant <aerostitch@debian.org>  Sun, 11 Aug 2019 12:05:19 -0700

python-tablib (0.12.1-3) unstable; urgency=medium

  * Team upload.
  * Drop Python 2 support.

 -- Ondřej Nový <onovy@debian.org>  Sun, 04 Aug 2019 19:32:36 +0200

=== debian/control ===
Source: python-tablib
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
           Joseph Herlant <aerostitch@debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-all,
               python3-setuptools
Build-Depends-Indep: python3-odf,
                     python3-openpyxl,
                     python3-pandas,
                     python3-pytest,
                     python3-unicodecsv,
                     python3-xlrd,
                     python3-xlwt,
                     python3-yaml
Standards-Version: 4.4.0.1
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-tablib
Vcs-Git: https://salsa.debian.org/python-team/modules/python-tablib.git
Homepage: http://docs.python-tablib.org/en/latest/index.html

Package: python3-tablib
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: format agnostic tabular dataset library - Python 3.x
 Tablib is a format agnostic tabular dataset library, written in Python. It
 allows you to import, export, and manipulate tabular data sets. Advanced
 features include, segregation, dynamic columns, tags & filtering, and seamless
 format import & export.
 .
 This package provides the Python 3.x module.

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 export PYBUILD_AFTER_INSTALL=rm -rf {destdir}/usr/lib/python3*/dist-packages/tablib/packages/dbfpy
 
 %:
-	dh $@ --with python2,python3 --buildsystem=pybuild
+	dh $@ --with python3 --buildsystem=pybuild
 
 override_dh_installchangelogs:
 	dh_installchangelogs HISTORY.rst

=== debian/tests/control ===
Test-Command: python3 -m pytest test_tablib.py
Depends: @, @builddeps@

Test-Command: python3 debian/tests/basic_usage.py
Depends: @

=== debian/watch ===
version=3
https://github.com/kennethreitz/tablib/tags  .*/v(\d[\d\.]+)\.tar\.gz

## python-tablib 3.2.0

=== docs/requirements.txt ===
sphinx==4.2.0

=== debian/changelog ===
python-tablib (3.2.0-1) unstable; urgency=medium

  * [36c8fd4] Revert "d/control: Change B-D on python3-all to python3-all:any"
  * [aeb5c22] New upstream version 3.2.0
  * [61420b0] d/control: Add B-D so pyproject build support is usable
  * [e7e383d] d/rules: Enforce usage of pyproject pybuild system
  * [9a3a6e8] d/python3-tablib.lintian-overrides: Ignore text file

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 31 Jan 2022 16:00:46 +0100

python-tablib (3.1.0-1) unstable; urgency=medium

  * [55dffcc] New upstream version 3.1.0
  * [015011c] d/control: Mark the -doc package Multi-Arch: foreign
  * [49fd7f6] d/control: Change B-D on python3-all to python3-all:any

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 31 Oct 2021 00:32:14 +0200

python-tablib (3.0.0-1) unstable; urgency=medium

  * Re-upload to unstable

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 02 Oct 2021 17:12:09 +0200

python-tablib (3.0.0-1~exp1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Joseph Herlant ]
  * [9b23bdf] Orphaning the package

  [ Carsten Schoenert ]
  * [319a0d0] New upstream version 3.0.0
  * [4d2fa32] d/gbp.conf: Add some more defaults
  * [628c42c] Rebuild patch queue from patch-queue branch
    removed patch (included upstream):
    fix_pyyaml_default_flow_style.patch
    added patches:
    Don-t-use-intersphinx-while-build-of-documentation.patch
    Ignore-CLI-related-tests.patch
  * [2a01c3f] d/copyright: Update content
  * [eb98a9a] d/rules: Rework pybuild behavior after package build
  * [d1df568] python-tablib-doc: Add new -doc package
  * [5117012] d/rules: Add override for dh_clean
  * [ac115ff] d/rules: Adjust data for dh_installchangelogs
  * [43aa97b] d/docs: And README.rst is now README.md
  * [8f53de8] d/control: Bump debhelper version to 13
  * [c387755] d/control: Update Standards-Version to 4.6.0
    No further modification needed.
  * [5993536] d/control: Adding new Build-Depends on python3-markuppy
  * [822ace9] d/control: Add depending packages for python3-tablib
    We need to add the package dependencies manually, debhelper isn't detecting
    the required packages any more due upstream modifications of setup.py.
  * [28ed897] d/control: Cosmetic reformat of Build-Depends
    No changes, just to uniform this field too.
  * [4440646] d/control: Adding myself to the Uploaders
    (Closes: #955701)

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 19 Aug 2021 20:41:17 +0200

python-tablib (0.14.0-1) unstable; urgency=medium

  * New upstream version 0.14.0
  * New dependency: setuptools-scm
  * New dependency for the unit tests: python3-pytest-cov
  * Update fix_pyyaml_default_flow_style patch with the new version
  * d/control:
    * remove Thomas from the uploaders per his request
    * bump standards to 4.4.1
    * update homepage to new url
  * d/watch: upgrade to version 4 and update repo url
  * d/u/metadata: update repo links to match the transfer to jazzband
  * Fix test files location

 -- Joseph Herlant <aerostitch@debian.org>  Sun, 17 Nov 2019 17:43:45 -0800

=== debian/control ===
Source: python-tablib
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Carsten Schoenert <c.schoenert@t-online.de>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-all,
 python3-setuptools,
 python3-setuptools-scm,
Build-Depends-Indep:
 pybuild-plugin-pyproject,
 python3-markuppy,
 python3-odf,
 python3-openpyxl,
 python3-pandas,
 python3-poetry,
 python3-pytest,
 python3-pytest-cov,
 python3-sphinx,
 python3-sphinx-rtd-theme,
 python3-xlrd,
 python3-xlwt,
 python3-yaml,
Standards-Version: 4.6.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-tablib
Vcs-Git: https://salsa.debian.org/python-team/packages/python-tablib.git
Homepage: https://tablib.readthedocs.io/en/stable/

Package: python-tablib-doc
Architecture: all
Section: doc
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: format agnostic tabular dataset library (Documentation)
 Tablib is a format agnostic tabular dataset library, written in Python. It
 allows you to import, export, and manipulate tabular data sets. Advanced
 features include, segregation, dynamic columns, tags & filtering, and seamless
 format import & export.
 .
 This package provides the documentation.

Package: python3-tablib
Architecture: all
Depends:
 python3-markuppy,
 python3-odf,
 python3-openpyxl,
 python3-pandas,
 python3-tabulate,
 python3-xlrd,
 python3-xlwt,
 python3-yaml,
 ${misc:Depends},
 ${python3:Depends}
Description: format agnostic tabular dataset library (Python 3)
 Tablib is a format agnostic tabular dataset library, written in Python. It
 allows you to import, export, and manipulate tabular data sets. Advanced
 features include, segregation, dynamic columns, tags & filtering, and seamless
 format import & export.
 .
 This package provides the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=tablib
export PYBUILD_AFTER_INSTALL=rm -rf {destdir}/usr/lib/python3*/dist-packages/htmlcov \
                                    {destdir}/usr/lib/python3*/dist-packages/.coverage \
                                    {destdir}/usr/lib/python3*/dist-packages/coverage.xml
export PYBUILD_SYSTEM=pyproject

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_clean:
	# Remove runtime generated file _version.py.
	rm -f src/tablib/_version.py
	dh_clean

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=src python3 -m sphinx -b html -N docs/ $(CURDIR)/debian/python-tablib-doc/usr/share/doc/python-tablib-doc/html
	dh_sphinxdoc
endif

override_dh_installchangelogs:
	dh_installchangelogs HISTORY.md

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/tablib-$1\.tar\.gz/ \
  https://github.com/jazzband/tablib/tags .*/v?(\d\S+)\.tar\.gz

## python-tablib 3.2.1

=== debian/changelog ===
python-tablib (3.2.1-2) unstable; urgency=medium

  [ Debian Janitor ]
  * [a2151f1] Set upstream metadata fields: Bug-Database, Repository.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 28 May 2022 01:05:49 +0100

python-tablib (3.2.1-1) unstable; urgency=medium

  * [c6084ab] New upstream version 3.2.1

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 14 Apr 2022 18:39:58 +0200

## python-tablib 3.3.0

=== debian/changelog ===
python-tablib (3.3.0-1) unstable; urgency=medium

  * [17e2fcf] New upstream version 3.3.0
  * [32c201c] Rebuild patch queue from patch-queue branch
    Added patch:
    docs-Use-local-Python-intersphinx-inventary.patch
    Removed patch:
    Don-t-use-intersphinx-while-build-of-documentation.patch
  * [d43ee25] d/control: Update build deps, add BuildProfileSpecs
  * [6e3497f] d/control: Update Standards-Version to 4.6.1
    No further changes needed.
  * [a82c501] d/rules: Set up and use variable $(SPHINXOPTS)
  * [1bfd0e2] Lintian: Drop not needed any more override file
  * [1192895] d/copyright: Update year data

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 15 Dec 2022 20:06:56 +0100

=== debian/control ===
--- 
+++ 
@@ -5,25 +5,27 @@
 Uploaders: Carsten Schoenert <c.schoenert@t-online.de>
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
+ dh-sequence-sphinxdoc,
+ pybuild-plugin-pyproject,
  python3-all,
  python3-setuptools,
  python3-setuptools-scm,
 Build-Depends-Indep:
- pybuild-plugin-pyproject,
- python3-markuppy,
- python3-odf,
- python3-openpyxl,
- python3-pandas,
+ python3-doc <!nodoc>,
+ python3-markuppy <!nocheck>,
+ python3-odf <!nocheck>,
+ python3-openpyxl <!nocheck>,
+ python3-pandas <!nocheck>,
  python3-poetry,
- python3-pytest,
- python3-pytest-cov,
- python3-sphinx,
- python3-sphinx-rtd-theme,
- python3-xlrd,
- python3-xlwt,
- python3-yaml,
-Standards-Version: 4.6.0
+ python3-pytest <!nocheck>,
+ python3-pytest-cov <!nocheck>,
+ python3-sphinx <!nodoc>,
+ python3-sphinx-rtd-theme <!nodoc>,
+ python3-xlrd <!nocheck>,
+ python3-xlwt <!nocheck>,
+ python3-yaml <!nocheck>,
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-tablib
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-tablib.git

## python-tablib 3.4.0

=== tests/requirements.txt ===
pytest
pytest-cov
MarkupPy
odfpy
openpyxl>=2.6.0
pandas
pyyaml
tabulate
xlrd
xlwt

=== debian/changelog ===
python-tablib (3.4.0-1) unstable; urgency=medium

  * [db430a3] New upstream version 3.4.0
  * [c0c450e] d/control: Update Standards-Version to 4.6.2
  * [ca71c04] d/copyright: Update year data

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 25 Mar 2023 16:48:08 +0100

## python-tablib 3.5.0

=== tests/requirements.txt ===
pytest
pytest-cov
MarkupPy
odfpy
openpyxl>=2.6.0
pyyaml
tabulate
xlrd
xlwt

=== debian/changelog ===
python-tablib (3.5.0-1) unstable; urgency=medium

  * [c983f3e] New upstream version 3.5.0

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 18 Jun 2023 07:24:47 +0200

=== debian/control ===
--- 
+++ 
@@ -25,7 +25,7 @@
  python3-xlrd <!nocheck>,
  python3-xlwt <!nocheck>,
  python3-yaml <!nocheck>,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-tablib
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-tablib.git

## python-tablib 3.6.0

=== debian/changelog ===
python-tablib (3.6.0-1) unstable; urgency=medium

  * [a539b40] d/watch: Move over to git mode on GitHub
  * [5dfe21a] New upstream version 3.6.0
  * [cc26e4c] d/control: Drop python3-markuppy from *Depends field
  * [814536b] d/copyright: Update year data

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 25 Mar 2024 19:24:35 +0100

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,6 @@
  python3-setuptools-scm,
 Build-Depends-Indep:
  python3-doc <!nodoc>,
- python3-markuppy <!nocheck>,
  python3-odf <!nocheck>,
  python3-openpyxl <!nocheck>,
  python3-pandas <!nocheck>,
@@ -49,7 +48,6 @@
 Package: python3-tablib
 Architecture: all
 Depends:
- python3-markuppy,
  python3-odf,
  python3-openpyxl,
  python3-pandas,

## python-tablib 3.7.0

=== tests/requirements.txt ===
pytest
pytest-cov
odfpy
openpyxl>=2.6.0
pyyaml
tabulate
xlrd
xlwt

=== debian/changelog ===
python-tablib (3.7.0-1) unstable; urgency=medium

  * [0180034] New upstream version 3.7.0
  * [07136a7] d/control: Update Standards-Version to 4.7.0
  * [3ac0e9c] d/control: Add python-tablib-doc to Suggests

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 11 Oct 2024 16:05:40 +0100

## python-tablib 3.8.0

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Tablib.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Tablib.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Tablib"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Tablib"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
python-tablib (3.8.0-1) unstable; urgency=medium

  * [87c14ae] New upstream version 3.8.0
  * [f17f010] d/copyright: Update year data

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 26 Jan 2025 18:36:23 +0200

=== debian/control ===
--- 
+++ 
@@ -24,7 +24,7 @@
  python3-xlrd <!nocheck>,
  python3-xlwt <!nocheck>,
  python3-yaml <!nocheck>,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-tablib
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-tablib.git
@@ -57,6 +57,8 @@
  python3-yaml,
  ${misc:Depends},
  ${python3:Depends}
+Suggests:
+ python-tablib-doc,
 Description: format agnostic tabular dataset library (Python 3)
  Tablib is a format agnostic tabular dataset library, written in Python. It
  allows you to import, export, and manipulate tabular data sets. Advanced

=== debian/watch ===
version=4

opts="mode=git, \
      compression=gz, \
      pgpmode=none, \
      opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/tablib-$1\.tar\.gz/, \
      dversionmangle=s/\+ds(\.?\d+)?$//, \
      uversionmangle=s/(\d)[_\.\-\+]?((a|alpha|b|beta|dev|pre|RC|rc)\.?\d*)$/$1~$2/" \
https://github.com/jazzband/tablib.git \
      refs/tags/v?(\d\S+)

## python-tablib 3.9.0

=== docs/requirements.txt ===
sphinx==6.1.3

=== tests/requirements.txt ===
odfpy
openpyxl>=2.6.0
pytest
pytest-cov
pyyaml
tabulate
xlrd
xlwt

=== debian/changelog ===
python-tablib (3.9.0-1) unstable; urgency=medium

  * [b97c9dd] d/watch: Convert to version 5
  * [529fc4f] New upstream version 3.9.0
  * [d7bb191] Rebuild patch queue from patch-queue branch
    Adjusted patch:
    Ignore-CLI-related-tests.patch
  * [2689501] d/control: Remove Rules-Requires-Root
    The setting of Rules-Requires-Root: no is now default.
  * [3963f0c] d/control: Update Standards-Version to 4.7.2
    No further changes needed.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 25 Oct 2025 22:35:11 +0200

=== debian/control ===
--- 
+++ 
@@ -24,8 +24,7 @@
  python3-xlrd <!nocheck>,
  python3-xlwt <!nocheck>,
  python3-yaml <!nocheck>,
-Standards-Version: 4.7.0
-Rules-Requires-Root: no
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-tablib
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-tablib.git
 Homepage: https://tablib.readthedocs.io/en/stable/

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,11 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
+include /usr/share/dpkg/pkg-info.mk
+
+BUILD_DATE  = $(shell LC_ALL=C date -u "+%d %B %Y" -d "@$(SOURCE_DATE_EPOCH)")
+SPHINXOPTS := -E -N -D html_last_updated_fmt="$(BUILD_DATE)"
 
 export PYBUILD_NAME=tablib
 export PYBUILD_AFTER_INSTALL=rm -rf {destdir}/usr/lib/python3*/dist-packages/htmlcov \
@@ -11,7 +16,7 @@
 export PYBUILD_SYSTEM=pyproject
 
 %:
-	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 override_dh_clean:
 	# Remove runtime generated file _version.py.
@@ -20,7 +25,7 @@
 
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
-	PYTHONPATH=src python3 -m sphinx -b html -N docs/ $(CURDIR)/debian/python-tablib-doc/usr/share/doc/python-tablib-doc/html
+	PYTHONPATH=src python3 -m sphinx -b html $(SPHINXOPTS) docs/ $(CURDIR)/debian/python-tablib-doc/usr/share/doc/python-tablib-doc/html
 	dh_sphinxdoc
 endif

=== debian/tests/control ===
Test-Command: python3 -m pytest tests/test_tablib.py
Depends: @, @builddeps@

Test-Command: python3 debian/tests/basic_usage.py
Depends: @

=== debian/watch ===
Version: 5

Source: https://github.com/jazzband/tablib.git
Matching-Pattern: refs/tags/@ANY_VERSION@
Compression: gz
Dversion-Mangle: s/\+ds(\.?\d+)?$//
Uversion-Mangle: s/(\d)[_\.\-\+]?((a|alpha|b|beta|dev|pre|RC|rc)\.?\d*)$/$1~$2/
Mode: git
Pgpmode: none
